=== debian/changelog ===
exiv2 (0.27.2-8~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Jul 2020 01:21:15 -0700

exiv2 (0.27.2-8) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.
  * Merge useful changes from 0.25-4:
    - add Maximiliano Curia as Uploader
    - adjust version of dbgsym migration
  * Drop the python:native build dependency, as it is not used.
    (Closes: #936496)
  * Sort install files.
  * Move the static libexiv2-xmp.a from libexiv2-27 to libexiv2-dev, as it is
    needed only for development
    - add proper breaks/replaces
  * The current way to build the API documentation is suboptimal: even in
    -indep builds a an -arch build is forced; also the separate doc build
    requires a custom patch, Instead:
    - move the common arguments for cmake to a variable to avoid duplication
    - pass -DEXIV2_BUILD_DOC=ON to enable the documentation build, unless on
      -arch builds
    - pass -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/exiv2/html to cmake to change
      the installation directory of the documentation (mostly for the "html"
      part), and change libexiv2-doc.docs to pick it from that location
    - call the "doc" target in -indep builds
    - drop patch 0001-doc-only-build-target.patch, no more needed now
  * Remove patch numbers from patch files.
  * Backport upstream commits 4c28673b641d7eacb50baafb5c286f6900ce2002, and
    d4d4d766e9ade2376115eb41cc478eb195df1b39 to fix CVE-2019-9143 and
    CVE-2019-9144; patches Fix-issue-712.patch, and
    Add-comment-to-explain-choice-of-cut-off-value.patch.
    (Closes: #923472, #923473)
  * Backport upstream commit 1b917c3f7dd86336a9f6fda4456422c419dfe88c to fix
    CVE-2019-20421; patch Fix-1011-fix_1011_jp2_readmetadata_loop.patch.
    (Closes: #950183)
  * Add debian/source/include-binaries for the patches Fix-issue-712.patch, and
    Fix-1011-fix_1011_jp2_readmetadata_loop.patch, as they contain the binary
    testcases for the fixes.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jan 2020 09:39:44 +0100

exiv2 (0.27.2-7) unstable; urgency=medium

  * Team upload.
  * Update symbols file.
  * Remove the dh_missing --list-missing invocation, as it is done by default
    in debhelper compatibility 12.
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Remove trailing whitespaces in changelog.
  * Update lintian overrides.
  * Pass -DEXIV2_BUILD_SAMPLES=OFF to cmake to disable the build of samples,
    as we do not ship them anyway.
  * Remove debian/not-installed, no more needed now.
  * Drop removal of .la files, as they are not shipped anymore.
  * Add the configuration for the CI on salsa.
  * Use https for Homepage.
  * Tweak watch file to consider only digits and dots for versions.
  * Move translations from libexiv2-dev to the main library package, as they
    contain messages for the library and the exiv2 tool
    - add proper breaks/replaces

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jan 2020 09:32:57 +0100

exiv2 (0.27.2-6) unstable; urgency=medium

  [ Steve Robbins ]
  * Source upload to unstable.  Closes: #914006, #926880.
  * Update symbols.

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Jan 2020 22:50:41 -0600

exiv2 (0.27.2-5) experimental; urgency=medium

  [ Steve Robbins ]
  * Update symbols

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Jan 2020 09:57:00 -0600

exiv2 (0.27.2-4) experimental; urgency=medium

  [ Steve Robbins ]
  * Add myself to uploaders
  * Fix SOVERSION in symbols file.

 -- Steve M. Robbins <smr@debian.org>  Sat, 25 Jan 2020 22:42:34 -0600

exiv2 (0.27.2-3) experimental; urgency=medium

  [ Steve Robbins ]
  * Updated symbol file from build server logs.

 -- Steve M. Robbins <smr@debian.org>  Wed, 06 Nov 2019 19:36:27 -0600

exiv2 (0.27.2-2) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Fix Vcs-Git and Vcs-Browser URLs.

  [ Steven Robbins ]
  * Revert symbols file to 0.25, in order to get diffs from build servers.

 -- Steve M. Robbins <smr@debian.org>  Mon, 04 Nov 2019 23:54:08 -0600

exiv2 (0.27.2-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879288)

  [ Simon Frei ]
  * New upstream release (0.27.2)
  * Drop upstream patches
  * Follow upstream soversion bump
  * Update build dependencies
  * Reenable XMP support
  * Bump debhelper from 9 to 12
  * Bump Standards-Version to 4.4.0 (no changes)
  * Various fixes due to lintian

 -- Steve M. Robbins <smr@debian.org>  Tue, 10 Sep 2019 00:05:18 -0500
