## exiv2 0.27.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
 cmake_minimum_required( VERSION 3.3.2 )
 
-project(exiv2
-    VERSION 0.27.2
+project(exiv2          # use TWEAK to categorize the build
+    VERSION 0.27.3     # 0.27.3    = GM
+                       # 0.27.3.00 = GM Preview
+                       # 0.27.3.09 = Not For Release
+                       # 0.27.3.2  = RC2
+                       # 0.27.3.20 = RC2 Preview
+                       # 0.27.3.29 = RC2 Not for release
     LANGUAGES CXX C
 )
-
 include(cmake/mainSetup.cmake  REQUIRED)
 
 # options and their default values
@@ -16,7 +20,7 @@
 option( EXIV2_ENABLE_PRINTUCS2        "Build with Printucs2"                                  ON  )
 option( EXIV2_ENABLE_LENSDATA         "Build including lens data"                             ON  )
 option( EXIV2_ENABLE_VIDEO            "Build video support into library"                      OFF )
-option( EXIV2_ENABLE_DYNAMIC_RUNTIME  "Use dynamic runtime (used for static libs)"            ON )
+option( EXIV2_ENABLE_DYNAMIC_RUNTIME  "Use dynamic runtime (used for static libs)"            ON  )
 option( EXIV2_ENABLE_WIN_UNICODE      "Use Unicode paths (wstring) on Windows"                OFF )
 option( EXIV2_ENABLE_WEBREADY         "Build webready support into library"                   OFF )
 option( EXIV2_ENABLE_CURL             "USE Libcurl for HttpIo (WEBREADY)"                     OFF )
@@ -80,15 +84,44 @@
 
 if( EXIV2_BUILD_UNIT_TESTS )
     add_subdirectory ( unitTests )
+    add_custom_target(unit_test
+        COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make unit_test
+        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test"
+    )
 endif()
+
+add_custom_target(version_test
+	COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make version_test
+	WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test"
+)
 
 if( EXIV2_BUILD_SAMPLES )
     ##
     # tests
-    add_custom_target(tests
-        COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make test
-        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test"
-    )
+    if( EXIV2_BUILD_UNIT_TESTS )
+		add_custom_target(tests
+			COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make unit_test
+			COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make bash_tests
+		    COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make python_tests
+		    COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make version_test
+			WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test"
+		)
+    else()
+		add_custom_target(tests
+			COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make bash_tests
+		    COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make python_tests
+		    COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make version_test
+			WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test"
+		)
+    endif()
+	add_custom_target(python_tests
+		COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make python_tests
+		WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test"
+	)
+	add_custom_target(bash_tests
+		COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make bash_tests
+		WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test"
+	)
     add_subdirectory( samples )
     get_directory_property(SAMPLES DIRECTORY samples DEFINITION APPLICATIONS)
     add_dependencies(tests exiv2lib exiv2 ${SAMPLES})
@@ -103,7 +136,12 @@
 endif()
 
 configure_file(cmake/exiv2.pc.in exiv2.pc @ONLY)
-install(FILES ${CMAKE_BINARY_DIR}/exiv2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/exiv2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+
+# ******************************************************************************
+# Man page
+install( FILES ${PROJECT_SOURCE_DIR}/man/man1/exiv2.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )
+
 
 include(cmake/printSummary.cmake)
