=== debian/changelog ===
exiv2 (0.27.3-3+deb11u2) bullseye; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2021-3482 (Closes: #986888)
  * Fix CVE-2021-29458 (Closes: #987277)
    + This is a more complete fix of duplicate CVE-2021-31292
  * Fix CVE-2021-29463 (Closes: #988241)
  * Fix CVE-2021-29464 (Closes: #988242)
  * Fix CVE-2021-29470 (Closes: #987450)
  * Fix CVE-2021-29473 (Closes: #987736)
  * Fix CVE-2021-29623 (Closes: #988481)
  * Fix CVE-2021-32815 (Closes: #992705)
  * Fix CVE-2021-34334 (Closes: #992706)
  * Fix CVE-2021-34335 (Closes: #992707)
  * Fix CVE-2021-37615
    + Also fixes CVE-2021-37616
  * Fix CVE-2021-37618
  * Fix CVE-2021-37619
  * Fix CVE-2021-37620
  * Fix CVE-2021-37621
  * Fix CVE-2021-37622
  * Fix CVE-2021-37623
  * Run unit and python tests without making the build fail.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 05 Jan 2023 18:19:20 +0100

exiv2 (0.27.3-3+deb11u1) bullseye-security; urgency=medium

  * CVE-2021-31291 (Closes: #991705)
  * CVE-2021-31292 (Closes: #991706)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 06 Aug 2021 10:57:42 +0200

exiv2 (0.27.3-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Aug 2020 07:15:23 +0200

exiv2 (0.27.3-2) unstable; urgency=medium

  * Team upload.
  * Limit -fcf-protection only on x86 architectures, as it does not exist
    elsewhere; patch fcf-protection-only-on-x86.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Aug 2020 00:51:27 +0200

exiv2 (0.27.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2019-17402 (Closes: #946341)
  * Update the patches:
    - fix-man-page-table-formatting.patch: refresh
    - remove-execute-permission-bit-from-ini-test-sample.patch: not needed as
      patch, it will be done with a simpler chmod
    - Fix-issue-712.patch: drop, backported from upstream
    - Add-comment-to-explain-choice-of-cut-off-value.patch: drop, backported
      from upstream
    - Fix-1011-fix_1011_jp2_readmetadata_loop.patch: drop, backported from
      upstream
    - drop debian/source/include-binaries, no more needed now
  * Update symbols file. (Closes: #950631, #957188)
  * Add Rules-Requires-Root: no.
  * Append -Wno-deprecated-declarations to the CXXFLAGS: exiv2 uses
    std::auto_ptr<> a lot, so avoid the lots of deprecation warnings.
  * Remove the executable permissions from all the .ini files in libexiv2-doc.
  * Explicitly add the gettext build dependency.
  * Do not ship TODO in libexiv2-doc, as it is not useful for users.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Aug 2020 23:23:52 +0200
