=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: exiv2
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Steve M. Robbins <smr@debian.org>,
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Steve M. Robbins <smr@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: chrpath,
                cmake,
                debhelper-compat (= 12),
+               gettext,
                libexpat1-dev,
+               libgtest-dev <!nocheck>,
                pkg-kde-tools,
                zlib1g-dev
 Build-Depends-Indep: doxygen, graphviz, libjs-jquery, xsltproc
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.exiv2.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/exiv2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/exiv2.git
